Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class USU_ExperienciaDbHelper
    Inherits DbHelper(Of USU_Experiencia,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListUSU_ExperienciaBySEG_Usuarios(ByVal idUsuario As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of USU_Experiencia)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idUsuario = idUsuario
        Return QueryObject.ExecuteList()
    End Function

#End Region
End Class
